{% extends "base/base.html" %}
{% block style%}
.image-container {
    position: relative;
    height: 55vh;
    text-align: left;
    color: white;
  }

  .image {
    width: 100%;
    height: 100%;
    object-fit: auto;
  }

  .image-content {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
    border-radius: 10px;
  }

  .image-content h1,
  .image-content h2,
  .image-content h3 {
    margin: 5px 0;
  }

  .backdrop_blur{
    backdrop-filter: blur(30px);
  }

  .contain {
    color: white;
    padding: 2%;
    {% comment %} height: 50vh; {% endcomment %}
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.5)), url({{event.banner.url}});
    background-size: cover;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .contain h3 {
    margin-bottom: 20px;
  }

{% endblock style%}
{% block main %}
<div class="image-container">
    <img class="image" src="{{event.banner.url}}" alt="image" />
    <div class="image-content">
      <h1>{{event.name}}</h1>
      <h2>{{event.date_time}}</h2>
      <h3>{{event.venue}}</h3>
    </div>
  </div>

  <div class="contain">
    <div>
      <h5>This Event is organised by: {{ event.committees.all|join:" x " }} <br>{{event.nature}} {{event.event_type}} {{event.level}}</br></h5>
      <hr>
      <h3>{{event.date_time}}</h3>
      <hr>
      <h3>Prize-pool : {{event.prize_pool}}</h3>
      <hr>
    </div>
    <div class="btn-group">
      <button class="btn btn-primary" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling">FAQS</button>
      <button class="btn btn-primary" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasScrolling1" aria-controls="offcanvasScrolling">Rules</button>
      {% if reg %}
        <a class="btn btn-primary disabled" href="#" role="button">Registered already</a>
      {% else %}
      <form action="{% url 'events:register_event' %}" method="POST">
        {% csrf_token %}
        <input type="hidden" name="event_uuid" value="{{ event.uuid }}">
        <button type="submit" class="btn btn-primary" role="button">Register</button>
    </form>
      {% endif %}

    </div>

    <div class="offcanvas offcanvas-start" data-bs-scroll="true" data-bs-backdrop="false" tabindex="-1" id="offcanvasScrolling" aria-labelledby="offcanvasScrollingLabel">
      <div class="offcanvas-header">
        <h5 class="offcanvas-title" id="offcanvasScrollingLabel">FAQS</h5>
        <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
      </div>
      <div class="offcanvas-body">
        <div class="accordion" id="accordionExample">
          {% for faq in faqs %}
          <div class="accordion-item">
            <h2 class="accordion-header">
              <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ forloop.counter }}" aria-expanded="true" aria-controls="collapse{{ forloop.counter }}">
                {{ faq.question }}
              </button>
            </h2>
            <div id="collapse{{ forloop.counter }}" class="accordion-collapse collapse" data-bs-parent="#accordionExample">
              <div class="accordion-body">
                {{ faq.answer }}
              </div>
            </div>
          </div>
          {% endfor %}
          
        </div>
      </div>
    </div>

    <div class="offcanvas offcanvas-start" data-bs-scroll="true" data-bs-backdrop="false" tabindex="-1" id="offcanvasScrolling1" aria-labelledby="offcanvasScrollingLabel">
      <div class="offcanvas-header d-flex justify-content-center bg-primary text-light">
        <h5 class="offcanvas-title" id="offcanvasScrollingLabel">Rules</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas" aria-label="Close"></button>
      </div>
      <div class="offcanvas-body">
        <ul class="list-group">
          {% for rule in rules %}
          <li class="list-group-item">{{ forloop.counter }}. {{ rule.rule }}</li>
          {% endfor %}
        </ul>
      </div>
    </div>
    <div class="row g-4 py-5 row-cols-1 row-cols-lg-3 justify-content-center image my-5 backdrop_blur">
      <div class="col d-flex align-items-start justify-content-center backdrop_blur">
        <div class="icon-square text-body-emphasis bg-body-secondary d-inline-flex align-items-center justify-content-center fs-4 flex-shrink-0 me-3">
          <svg class="bi" width="1em" height="1em"><use xlink:href="#toggles2"></use></svg>
        </div>
        <div class="justify-content-center">
          <h3 class="fs-2 text-body-emphasis">Description</h3>
        
          {{event.description}}
          
        </div>
      </div>
     
      <div class="col d-flex align-items-start justify-content-center backdrop_blur">
        <div class="icon-square text-body-emphasis bg-body-secondary d-inline-flex align-items-center justify-content-center fs-4 flex-shrink-0 me-3">
          <svg class="bi" width="1em" height="1em"><use xlink:href="#tools"></use></svg>
        </div>
        <div>
          <h3 class="fs-2 text-body-emphasis">Want to contact us?</h3>
          <a href="{{event.website}}">
            Website
          </a>
          <br>
          <br>
          Call:{{event.contact_info}}
          </a>
          <br>
          <br>
          <a href="mailto: {{committees.email}}">
            E-mail
          </a>
        </div>
      </div>
    </div>   
</div>
{% endblock main %}



<div class="btn-group">
  <button class="btn btn-primary" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling">FAQS</button>
  <button class="btn btn-primary" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasScrolling1" aria-controls="offcanvasScrolling">Rules</button>
  {% if reg %}
    <a class="btn btn-primary disabled" href="#" role="button">Registered already</a>
  {% else %}
  <form action="{% url 'events:register_event' %}" method="POST">
    {% csrf_token %}
    <input type="hidden" name="event_uuid" value="{{ event.uuid }}">
    <button type="submit" class="btn btn-primary">Register</button>
</form>
  {% endif %}

</div>